(*This file contains all result of MCs in SM (except photon and gluon exchange)*)

(*Gammattbar-Vertex*)

aGammaGamma[Alfa_]:=-2*Alfa/Pi*4/9;

aGGamma[Alfas_]:=-2*Alfas/Pi*4/3;

aHGamma[Alfa_,SW2_,MT2_,MH2_]:=(Alfa*(-MT2/48+SLAM`A0[MH2]/48-SLAM`A0[MT2]/48+((-MH2^2+MH2*MT2-12*MT2^2)*B0[MT2,MH2,MT2])/(48*MH2)+(MT2^2*B0[4*MT2,MT2,MT2])/(4*MH2)+ ((3*MH2^2*MT2-12*MH2*MT2^2)*DB0[MT2,MH2,MT2])/(48*MH2)))/(MW2*Pi*SW2);

aPhiWGamma[Alfa_,SW2_,MT2_,MW2_]:=-(Alfa*(-2*MT2^2-2*MT2*MW2+MT2*SLAM`A0[0]+MW2*SLAM`A0[0]-(MT2 + MW2)*SLAM`A0[MW2]+(MT2^2+4*MT2*MW2+MW2^2)*B0[MT2,0,MW2]+2*MT2^2*B0[4*MT2,0,0]- 3*MT2^2*B0[4*MT2,MW2,MW2]-3*MT2*MW2*B0[4*MT2,MW2,MW2]+3*MT2^3*DB0[MT2,0,MW2]-3*MT2*MW2^2*DB0[MT2,0,MW2]))/(48*MW2*(MT2+MW2)*Pi*SW2);

aPhiZGamma[Alfa_,SW2_,MT2_,MZ2_]:=(Alfa*(-MT2/(48*MZ2)-SLAM`A0[MT2]/(48*MZ2)+SLAM`A0[MZ2]/(48*MZ2)+((MT2-MZ2)*B0[MT2,MT2,MZ2])/(48*MZ2)+(MT2*DB0[MT2,MT2,MZ2])/16))/((1-SW2)*Pi*SW2);

aWGamma[Alfa_,SW2_,MT2_,MW2_]:=(Alfa*(2*MT2+MW2))/(24*MT2*Pi*SW2)+(Alfa*(-9*MT2+2*MW2)*B0[0,MW2,MW2])/(48*MT2*Pi*SW2)-
(Alfa*(MT2^2+4*MT2*MW2+MW2^2)*B0[MT2,MW2,0])/(24*MT2*(MT2+MW2)*Pi*SW2)-(Alfa*MT2*B0[4*MT2,0,0])/(12*MT2*Pi*SW2+12*MW2*Pi*SW2)+
(5*Alfa*B0[4*MT2,MW2,MW2])/(16*Pi*SW2)+(Alfa*(-MT2+MW2)*DB0[MT2,MW2,0])/(8*Pi*SW2);

aZGamma[Alfa_,SW2_,MT2_,MZ2_]:=(Alfa*(2*MT2-MZ2)*(9-24*SW2+32*SW2^2))/(432*MT2*Pi*(-1+SW2)*SW2)+(Alfa*(9-24*SW2+32*SW2^2)*B0[0,MT2,MT2])/(432*Pi*(-1+SW2)*SW2)-(Alfa*MZ2*(9-24*SW2+32*SW2^2)*B0[0,MZ2,MZ2])/(432*MT2*Pi*(-1+SW2)*SW2)+(Alfa*(6*MT2^2-MT2*MZ2+MZ2^2)*(9-24*SW2+32*SW2^2)*B0[MT2,MT2,MZ2])/(432*MT2*MZ2*Pi*(-1+SW2)*SW2)+
((9*Alfa*MT2-24*Alfa*MT2*SW2+32*Alfa*MT2*SW2^2)*B0[4*MT2,MT2,MT2])/(72*MZ2*Pi*SW2-72*MZ2*Pi*SW2^2)+(Alfa*(MT2*(18+48*SW2-64*SW2^2)+MZ2*(-9+24*SW2-32*SW2^2))*DB0[MT2,MT2,MZ2])/(144*Pi*(-1+SW2)*SW2);

aSMEWGamma[Alfa_,SW2_,MT2_,MH2_,MZ2_,MW2_]:=aHGamma[Alfa,SW2,MT2,MH2]+aPhiWGamma[Alfa,SW2,MT2,MW2]+aPhiZGamma[Alfa,SW2,MT2,MZ2]+aWGamma[Alfa,SW2,MT2,MW2]+aZGamma[Alfa,SW2,MT2,MZ2];
aSMAllGamma[Alfas_,Alfa_,SW2_,MT2_,MH2_,MZ2_,MW2_]:=aGammaGamma[Alfa]+aGGamma[Alfas]+aSMEWGamma[Alfa,SW2,MT2,MH2,MZ2,MW2];


(*Zttbar-Vertex*)

aGammaZ[Alfa_]:=-2*Alfa/Pi*4/9;

aGZ[Alfa_]:=-2*Alfas/Pi*4/3;

aHZ[Alfa_,SW2_,MT2_,MH2_]:=aHGamma[Alfa,SW2,MT2,MH2];

aPhiWZ[Alfa_,SW2_,MT2_,MW2_]:=-(Alfa*(-((MT2+MW2)*(-9+8*SW2)*SLAM`A0[MW2])+(4*MT2^2*(3+2*SW2)+MW2^2*(-9+8*SW2)+MT2*MW2*(-21+32*SW2))*B0[MT2,0,MW2]+MT2*(8*MT2*(-3+2*SW2)*B0[4*MT2,0,0]+(MT2+MW2)*(12-16*SW2+(12-24*SW2)*B0[4*MT2,MW2,MW2]+3*(MT2-MW2)*(-3+8*SW2)*DB0[MT2,0,MW2]))))/(48*MW2*(MT2+MW2)*Pi*SW2*(-3+8*SW2));

aPhiZZ[Alfa_,SW2_,MT2_,MZ2_]:=aPhiZGamma[Alfa,SW2,MT2,MZ2];

aWZ[Alfa_,SW2_,MT2_,MW2_]:=(Alfa*(2*MT2*(-9+8*SW2)+MW2*(3+8*SW2)))/(24*MT2*Pi*SW2*(-3+8*SW2))+(Alfa*(-36*MT2*(-1+SW2)+MW2*(3+8*SW2))*B0[0,MW2,MW2])/
(24*MT2*Pi*SW2*(-3+8*SW2))-(Alfa*(8*MT2^2*SW2+MW2^2*(3+8*SW2)+MT2*MW2*(-21+32*SW2))*B0[MT2,0,MW2])/(24*MT2*(MT2+MW2)*Pi*SW2*(-3+8*SW2))+
(Alfa*MT2*(3-2*SW2)*B0[4*MT2,0,0])/(3*(MT2+MW2)*Pi*SW2*(-3+8*SW2))+((5*Alfa-5*Alfa*SW2)*B0[4*MT2,MW2,MW2])/(6*Pi*SW2-16*Pi*SW2^2)+
(Alfa*(-MT2+MW2)*DB0[MT2,0,MW2])/(8*Pi*SW2);

aZHZ[Alfa_,SW2_,MT2_,MH2_,MZ2_]:=(Alfa*(((MH2-4*MT2)*B0[MT2,MH2,MT2])/(8*(MH2-4*MT2+MZ2)*(-1+SW2)*SW2)-(MZ2*B0[MT2,MT2,MZ2])/(8*(MH2-4*MT2+MZ2)*(-1+SW2)*SW2)+((-MH2+4*MT2+MZ2)*B0[4*MT2,MH2,MZ2])/(8*(MH2-4*MT2+MZ2)*(-1+SW2)*SW2)))/Pi;

aZZ[Alfa_,SW2_,MT2_,MZ2_]:=(Alfa*(MT2*(3-8*SW2)^2+MZ2*(9+24*SW2-32*SW2^2)))/(432*MT2*Pi*(-1+SW2)*SW2)+(Alfa*(-9-24*SW2+32*SW2^2)*B0[0,MT2,MT2])/(432*Pi*(-1+SW2)*SW2)+
(Alfa*MZ2*(9+24*SW2-32*SW2^2)*B0[0,MZ2,MZ2])/(432*MT2*Pi*(-1+SW2)*SW2)+(Alfa*(MT2*MZ2*(9+24*SW2-32*SW2^2)+
MZ2^2*(-9-24*SW2+32*SW2^2)+6*MT2^2*(9-24*SW2+32*SW2^2))*B0[MT2,MT2,MZ2])/(432*MT2*MZ2*Pi*(-1+SW2)*SW2)+
((9*Alfa*MT2-24*Alfa*MT2*SW2+32*Alfa*MT2*SW2^2)*B0[4*MT2,MT2,MT2])/(72*MZ2*Pi*SW2-72*MZ2*Pi*SW2^2)+
(Alfa*(MT2*(18+48*SW2-64*SW2^2)+MZ2*(-9+24*SW2-32*SW2^2))*DB0[MT2,MT2,MZ2])/(144*Pi*(-1+SW2)*SW2);

aSMEWZ[Alfa_,SW2_,MT2_,MH2_,MZ2_,MW2_]:=aHZ[Alfa,SW2,MT2,MH2]+aPhiWZ[Alfa,SW2,MT2,MW2]+aPhiZZ[Alfa,SW2,MT2,MZ2]+aWZ[Alfa,SW2,MT2,MW2]+aZZ[Alfa,SW2,MT2,MZ2]+aZHZ[Alfa,SW2,MT2,MH2,MZ2];
aSMAllZ[Alfas_,Alfa_,SW2_,MT2_,MH2_,MZ2_,MW2_]:=aGammaZ[Alfa]+aGZ[Alfas]+aSMEWZ[Alfa,SW2,MT2,MH2,MZ2,MW2];

Print["All SM MCs loaded!"]
