* model_sm.h
* declarations for model_sm.F
* this file is part of FormCalc
* last modified 7 Mar 13 th


	RealType CKMlambda, CKMA, CKMrhobar, CKMetabar
	parameter (CKMlambda = .2253D0)
	parameter (CKMA = .808D0)
	parameter (CKMrhobar = .132D0)
	parameter (CKMetabar = .341D0)

	RealType MZ, MZ2, MW, MW2, CW, CW2, SW2
c	parameter (MZ = 91.1876D0, MZ2 = MZ**2)
c	parameter (MW = 80.399D0, MW2 = MW**2)
c	parameter (CW = MW/MZ, CW2 = CW**2)
c	parameter (SW2 = 1 - CW2)

	RealType GF, Alfa, Alfa2, AlfaMZ, AlfasMZ
	parameter (GF = 1.16637D-5)
c	parameter (Alfa = 1/137.035999679D0, Alfa2 = Alfa**2)
c	parameter (Alfa = sqrt2/pi*GF*MW2*SW2, Alfa2 = Alfa**2)
	parameter (AlfaMZ = 1/127.934D0)
	parameter (AlfasMZ = .1184D0)

	RealType ME, ME2, MM, MM2, ML, ML2
c	parameter (ME = .510998910D-3, ME2 = ME**2)
c	parameter (MM = 105.658367D-3, MM2 = MM**2)
c	parameter (ML = 1776.82D-3, ML2 = ML**2)

	RealType MU, MU2, MC, MC2, MT, MT2
c	parameter (MU = 53.8D-3, MU2 = MU**2)
c	parameter (MC = 1.27D0, MC2 = MC**2)
c	parameter (MT = 173.3D0, MT2 = MT**2)

	RealType MD, MD2, MS, MS2, MB, MB2, MBatMB
c	parameter (MD = 53.8D-3, MD2 = MD**2)
c	parameter (MS = 101D-3, MS2 = MS**2)
c	parameter (MB = 4.67D0, MB2 = MB**2)
c	parameter (MBatMB = 4.25D0)

	ComplexType CKM(3,3)
	RealType Mf(4,3), Mf2(4,3)
	RealType MH, MH2
	RealType EL, GS, Alfas, Alfas2, SW

        RealType NZISM(13)

        common /sm_para/ MZ, MW, CW, CW2, SW2
        common /sm_para/ Alfa2
        common /sm_para/ ME, MM, ML
        common /sm_para/ MU, MC, MT
        common /sm_para/ MD, MS, MB
        common /smpara/ NZISM
	common /smpara/ CKM
	common /smpara/ Mf, Mf2
	common /smpara/ MH, MH2
	common /smpara/ EL, GS, Alfas2, SW

        equivalence (NZISM(1), Alfa)
        equivalence (NZISM(2), Alfas)
        equivalence (NZISM(3), MB2)
        equivalence (NZISM(4), MC2)
        equivalence (NZISM(5), MD2)
        equivalence (NZISM(6), ME2)
        equivalence (NZISM(7), ML2)
        equivalence (NZISM(8), MM2)
        equivalence (NZISM(9), MS2)
        equivalence (NZISM(10), MT2)
        equivalence (NZISM(11), MU2)
        equivalence (NZISM(12), MW2)
        equivalence (NZISM(13), MZ2)

#ifndef CKMC
#define CKMC(i,j) Conjugate(CKM(i,j))
#endif

