(* Mathematica *)
Get["../TQPAT.m"];

LightStopTB20DataSet=CreateSLHADataSet[SLHAFilePath->Automatic,(* Let the generators create the SLHA file *)
                                       GridProps->{{150,500,10}},
                                       GridFunction->({MA->#1}&),
                                       tanbeta->20.0, 
                                       SpectrumGenerator->"softsusy", 
                                       Model->"lightstop",
                                       UseDataBase->False];


ExampleDataSetFileList={"LightStopTB20DataSet"};

(*Setting Path Option for DisplayDataSets will automaticly set standard Path option of LoadDataSet, SaveDataSet and DeleteDataSetFile to the same value.*)
SetOptions[DisplayDataSets,Path->($TQPATDir<>"/examples/datasets")];

(*Removing existing DataSet files*)
DeleteDataSetFile[#]&/@ExampleDataSetFileLis;


(*Save the created DataSet to file with same name*)
SaveDataSet[#]&/@{Hold[LightStopTB20DataSet]};

(*Shows all files with extension .set in the folder stored in the Path option.*)
DisplayDataSets[]


Quit[];
