(* Mathematica *)
Get["../TQPAT.m"];

(* depends only on mtildet ! Default value is given by mtildet=350 *)
ModMhMaxModelFunction = {"SOFTSUSY" -> {BC -> None,  BI -> {EV -> None, EC -> None}, 
     5 -> {EV -> 1.`, EC -> " two-loop RGEs for scalars?"}}, 
   "MODSEL" -> {BC -> None, BI -> {EV -> None, EC -> None}, 
     11 -> {EV -> 1, EC -> " One value of the renormalisation scale"},
     12 -> {EV -> 173.3, EC -> " renormalisation scale"}, 
     1 -> {EV -> 0, EC -> " general (mhmax)"}}, 
   "SMINPUTS" -> {BC -> None, BI -> {EV -> None, EC -> None}, 
     1 -> {EV -> 127.934`, EC -> " alpha^(-1) SM MSbar(Mz)"}, 
     2 -> {EV -> 0.0000116637`, EC -> " G_Fermi"}, 
     3 -> {EV -> 0.1184`, EC -> " alpha_s(Mz) SM MSbar"}, 
     4 -> {EV -> 91.19999999999999`, EC -> " Mz(pole)"}, 
     5 -> {EV -> 4.25`, EC -> " mb(mb) SM MSbar"}, 
     6 -> {EV -> 173.3`, EC -> " Mt SM pole"}, 
     7 -> {EV -> 1.777`, EC -> " mtau pole"}}, 
   "MINPAR" -> {BC -> None, BI -> {EV -> None, EC -> None}, 
     3 -> {EV -> 20.`, EC -> " tan(beta)"}}, 
   "EXTPAR" -> {BC -> None, BI -> {EV -> None, EC -> None}, 
     0 -> {EV ->(*173.3`*)1014.90536`, EC -> " input scale"}, 
     1 -> {EV -> 95.5776108`, EC -> " M1=5/3*sw^2/cw^2*M2=5/3*(Mz^2/Mw^2-1)*M2"}, 
     2 -> {EV -> 200.`, EC -> " M2"}, 
     3 -> {EV -> 800.`, EC -> " M3"},
     11 -> {EV -> 1500., EC -> " At"}, 
     12 -> {EV -> 2469.48974`, EC -> " Ab"}, 
     13 -> {EV -> 2469.48974`, EC -> " Atau"}, 
     23 -> {EV -> 200.`, EC -> " mu"}, 
     26 -> {EV -> 1000.`, EC -> " MA"}, 
     31 -> {EV -> 1000.`, EC -> " Msusy"}, 
     32 -> {EV -> 1000.`, EC -> " Msusy"}, 
     33 -> {EV -> 1000.`, EC -> " Msusy"}, 
     34 -> {EV -> 1000.`, EC -> " Msusy"}, 
     35 -> {EV -> 1000.`, EC -> " Msusy"}, 
     36 -> {EV -> 1000.`, EC -> " Msusy"}, 
     41 -> {EV -> 1000.`, EC -> " Msusy"}, 
     42 -> {EV -> 1000.`, EC -> " Msusy"}, 
     43 -> {EV -> 1000.`, EC -> " Msusy"}, 
     44 -> {EV -> 1000.`, EC -> " Msusy"}, 
     45 -> {EV -> 1000.`, EC -> " Msusy"}, 
     46 -> {EV -> #1, EC -> " mtildet"}, 
     47 -> {EV -> 1000.`, EC -> " Msusy"}, 
     48 -> {EV -> 1000.`, EC -> " Msusy"}, 
     49 -> {EV -> 1000.`, EC -> " Msusy"}}}&;


ModMhMaxDataSet=CreateSLHADataSet[SLHAFilePath->Automatic,(* Let the generators create the SLHA file *)
                                  GridProps->{{350,1000,50}},(* this is mtildet range*)
                                  GridFunction->({Model->ModMhMaxModelFunction[#1]}&),
                                  SpectrumGenerator->"softsusy",
                                  UseDataBase->False];


ExampleDataSetFileList={"ModMhMaxDataSet"};

(*Setting Path Option for DisplayDataSets will automaticly set standard Path option of LoadDataSet, SaveDataSet and DeleteDataSetFile to the same value.*)
SetOptions[DisplayDataSets,Path->($TQPATDir<>"/examples/datasets")];

(*Removing existing DataSet files*)
DeleteDataSetFile[#]&/@ExampleDataSetFileLis;


(*Save the created DataSet to file with same name*)
SaveDataSet[#]&/@{Hold[ModMhMaxDataSet]};

(*Shows all files with extension .set in the folder stored in the Path option.*)
DisplayDataSets[]


Quit[];
